Skip to main content
Returns the ETH balance of a given address at a specified block.

Parameters

address
string
required
The 20-byte address to check the balance for.
blockParameter
string
required
Block number in hexadecimal, or a block tag: latest, earliest, pending, safe, or finalized.

Returns

result
string
The account balance in wei as a hexadecimal string.

Flashblocks Behavior

On a Flashblocks-aware endpoint, use "pending" as the block parameter to query preconfirmed state — data available up to 200ms before the next full block is sealed. Returns the account balance in the latest preconfirmed Flashblock state, reflecting balances from transactions not yet in a sealed block.
curl https://mainnet-preconf.base.org \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","method":"eth_getBalance","params":["0xd3CdA913deB6f4967b2Ef66ae97DE114a83bcc01","pending"],"id":1}'

Example

{
  "jsonrpc": "2.0",
  "method": "eth_getBalance",
  "params": [
    "0x4200000000000000000000000000000000000006",
    "latest"
  ],
  "id": 1
}